Subject: Re: XEMACS and $HOME
From: "Achim Schaefer" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 7 Sep 2005 17:20:19 +0200 (MEST)

> On Wed, 7 Sep 2005, Eric Blake wrote:
> 
> > According to Achim Schaefer on 9/6/2005 7:50 AM:
> > > Hi,
> > >
> > > I have a problem with my $HOME setting.
> > > Starting xemacs I get the following message:
> > >
> > > $ xemacs
> > > Syntax error: "Bad format environment-variable substitution",
> > > "//SV018182/luxcasch$"
> >
> > My only guess is that xemacs is having problems with the $ in your share
> > name, so you may have to stick with a Windows drive mount if that helps
> > solve the issue.
> 
> I would say this is a bug in Xemacs (it shouldn't be trying to
> indiscriminately expand variables in $HOME, or should at least use a more
> robust RE to match variable names, e.g., /\$./).
> 
> If this is a Cygwin version of Xemacs, you may also be able to use a
> Cygwin mount to alleviate the problem:
> 
> mount -u '//SV018182/luxcasch$' /home/luxcasch
> 
I can cahnge as well my /etc/passwd to have another home:
/cygdrive/h, but these are only workarounds.

Question is if this should not be solved in xemacs itself.
(I don't know if special patches against the standard version aer used to
build the cygwin version, or not.

Achim

-- 
GMX DSL = Maximale Leistung zum minimalen Preis!
2000 MB nur 2,99, Flatrate ab 4,99 Euro/Monat: http://www.gmx.net/de/go/dsl

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/